.\" @(#)$Id: faces.man,v 1.4 1995/05/27 16:55:09 kooper Exp $
.\" tbl faces.man | nroff -man | col -b
.TH FACES 1 "March 10 1995"
.SH NAME
faces \- support program for the faces database.
.SH SYNOPSIS
.B "faces
[
.B \-m
.I mailfile
] [
.B \-c
] [
.B \-d
] [
.B \-v
] [
.B \-xoptions
]
.SH DESCRIPTION
.I Faces
is a xwindows program that parses the mailfile and displays the faces
of people associated with the mail. This program is some sort of biff
but will show you in a glance the number of messages, and the who send
the mail.
.PP
The program has two modes of operation. In the default mode it will
show a face for every mail message and in the compact mode, entered
using
.BR \-c
each face will only be shown once, thus giving an overview of the
people who has send you mail.
.SH OPTIONS
.TP 12
.B \-v
Print the version number.
.TP
.B \-d
Prints loads of debug information, the program won't fork itself in
the background.
.TP
.BI \-m " mailfile"
The mailfile that should be displayed.
.TP
.B \-c
Display the mailbox compact. Show each face only once.
.SH "X RESOURCES"
.TP
.B Faces.mailFile
The name of the mailfile to display. If the name starts with ~ this
will be replaced with $(HOME).
.TP
.B Faces.maxHeight
.TP
.B Faces.maxWidth
these two set the size of an image, the default is for 64x64
images. This is the size of many of mine xpm files and leaves some
nice whitespace under the default xbm images for a name.
.TP
.B Faces.maxImages
is the maximum images shown horizontal, this defaults to 8.
.TP
.B Faces.checkMail
is how often the mailfile should be checked for changes in seconds,
this defaults to 30 seconds.
.TP
.B Faces.mailSep
this variable will change the separator between different mail
messages. By default this is 'From '.
.TP
.B Faces.mailBuf
will tell the faces program what the largest header is that it can
expect, by default this is set to 2048, which should be enough.
.TP
.B Faces.compact
this will show each face only once, this is the same as the
.B \-c
option. This is by default False.
.TP
.B Faces.font
the font to use for displaying from whom the mail is. This is by
default the defaultfont.
.TP
.B Faces.background
.TP
.B Faces.foreground
The default back and foreground color. This is by default white and
black.
.TP
.B Faces.debug
turn the debugging on, this is the same as the
.B \-d
option.
.TP
.B Faces.fromX
.TP
.B Faces.fromY
together form a geometry pair of where the text should be displayed in
the image. These are by default +4 and -4.
.TP
.B Faces.showFirst
this variable controls which entry is shown as icon. By default the
last entry in the mailfile is shown as icon, setting this to true will
show the first entry as icon.
.TP
.B Faces.local
if an mailmessage has an address without @ it is assumed that it's a
local message. The program will append this variable to find the right
face. Normally the default is compiled into the program.
.PP
The following resources are passed to the faces library. For a more
accurate description see libfaces(3).
.TP
.B Faces.algorithm
this variable will tell the faces library which search algorithm it
should use. The default is searchKnown, and can be 1, 2 or 3.
.TP
.B Faces.databaseOrder
the databases that are to be found. The default is compiled in the
program, but can also be changed using the
.TP
.B Faces.loadOrder
the order in which the database is searched for faces. By default the
database first searches for xpm images, if xpm support is compiled in,
and then for xbm images.
.TP
.B Faces.tmpFace
this variable will tell the faces library where to put the temporary
images, the default is compiled in the program.
.TP
.B Faces.useMailcap
if this is True, the default, the faces library will display unknown
entries using the mailcap external programs.
.TP
.B Faces.useColorIcon
Some window managers can display color Icons. If faces is compiled
with the pixmap library then setting this to True, default on the
SGI's, will use colorIcons, otherwise the faces library will continue
to search until an B&W icon is found.
.TP
.B Faces.xfaceFirst
if this false, the default, the library will use the xface header when
the program starts searching for unknown faces. If true, the library will
load the xface before searching the database.
.B FACEPATH
environment variable
.TP
.B Faces.pathNames
the directories where to look for the databases. The default is
compiled in the program, and can also be changed using the
.B FACEDB
environment variable
.SH ENVIRONMENT VARIABLES
.TP
.B MAIL
The default mailfile to use.
.TP
.B FACEPATH
A colon separated list of directories to search for databases.
.TP
.B FACEDB
A colon separated list of databases to use.
.SH "SEE ALSO"
facesdb(1), libfaces(3), compface(1), uncompface(1), compface(3),
mail(1), sendmail(8)
.SH BUGS
There are probably bugs somewhere, and some things can be done
better. If you find anything, please send me email.
.SH AUTHOR
Rob Kooper (kooper@cc.gatech.edu)
.SH ACKNOWLEDGMENTS
Thanks go to Steve Kinzler (kinzler@indiana.edu) for helping me with
the database format, James Ashton for writing the compface library,
and to Christopher B. Liebman (liebman@zod.clark.net) for the
.I xface
program and Rich Burridge for the
.I faces
program.
