/*
 * $Id: mail.h,v 1.4 1995/03/08 23:12:41 kooper Exp $
 *
 * Copyright (C) 1995, Rob Kooper (kooper@cc.gatech.edu)
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2, or (at your option) any
 * later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#include <faces.h>
#include "resources.h"

/*
 * Structure to hold the mail, or other stuff.
 */
typedef struct Mail {
  char         *from;
  char         *subject;
  char         *xface;
  Face         *face;
  struct Mail  *next, *prev;
} Mail;


/*
 * Some global variables used in the program.
 */
extern Display        *display;        /* Display to use                    */
extern Screen         *screen;         /* Screen that is used               */
extern Window          window;         /* Main window (only window)         */
extern GC              gc;             /* GC used for copying               */
extern XtAppContext    app;            /* Application context               */
extern Widget          toplevel;
extern FacesResources  facesRec;
extern XtIntervalId    timeOut;        /* Pointer to the timeout            */

extern Mail           *firstMail;      /* First piece of mail               */
extern Face           *nomailFace;     /* The empty mailbox picture         */

/*
 * Prototypes used
 */

/*
 * parse_mail.c
 */
#if NeedFunctionPrototypes
int   parseMail (void);
#else
int   parseMail ();
#endif

/*
 * display.c
 */
#if NeedFunctionPrototypes
void  initDisplay (int *, char **);
void  setIcon     (Face *, char *);
void  displayFaces(void);
void  alarmHandler(XtPointer, XtIntervalId*);
#else
void  initDisplay ();
void  setIcon     ();
void  displayFaces();
void  alarmHandler();
#endif

/*
 * nomail.c
 */
#if NeedFunctionPrototypes
Face *loadNomail  (void);
#else
Face *loadNomail  ();
#endif
