/*
 * $Id: resources.h,v 1.13 1995/05/27 16:57:10 kooper Exp $
 *
 * Copyright (C) 1995, Rob Kooper (kooper@cc.gatech.edu)
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2, or (at your option) any
 * later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#define xtoffset(res) XtOffset(FacesResources *, res)

typedef struct _faces_resources {
  int            Algorithm;
  Pixel          Background;
  int            CheckMail;
  Boolean        CompactImages;
  String         DatabaseOrder;
  Boolean        Debug;
  XFontStruct   *Font;
  Pixel          Foreground;
  int            FromX;
  int            FromY;
  String         LoadOrder;
  String         Local;
  int            MailBuf;
  String         MailFile;
  String         MailSep;
  int            Maxheight;
  int            MaxImages;
  int            Maxwidth;
  String         PathNames;
  Boolean        ShowFirst;
  String         TmpFace;
  Boolean        UseColorIcon;
  Boolean        UseMailcap;
  Boolean        Version;
  Boolean        XfaceFirst;

} FacesResources;

static XtResource resources[] = {
    { "mailFile", "MailFile", XtRString, sizeof(String),
      xtoffset(MailFile), XtRString, NULL },
    { "maxWidth", "MaxWidth", XtRInt, sizeof(int),
      xtoffset(Maxwidth), XtRImmediate, (XtPointer) 64 },
    { "maxHeight", "MaxHeight", XtRInt, sizeof(int),
      xtoffset(Maxheight), XtRImmediate, (XtPointer) 64 },
    { "tmpFace", "TmpFace", XtRString, sizeof(String),
      xtoffset(TmpFace), XtRString, NULL },
    { "maxImages", "MaxImages", XtRInt, sizeof(int),
      xtoffset(MaxImages), XtRImmediate, (XtPointer) 8 },
    { "checkMail", "CheckMail", XtRInt, sizeof(int),
      xtoffset(CheckMail), XtRImmediate, (XtPointer) 30 },
    { "mailSep", "MailSep", XtRString, sizeof(String),
      xtoffset(MailSep), XtRString, "From " },
    { "mailBuf", "MailBuf", XtRInt, sizeof(int),
      xtoffset(MailBuf),  XtRImmediate, (XtPointer) 4096 },
    { "compact", "Compact", XtRBoolean, sizeof(Boolean),
      xtoffset(CompactImages), XtRString, "False" },
    { "font", "Font",  XtRFontStruct, sizeof(XFontStruct*),
      xtoffset(Font), XtRString, XtDefaultFont },
    { "background", "Background", XtRPixel, sizeof(Pixel),
      xtoffset(Background), XtRString, "white" },
    { "foreground", "Forground", XtRPixel, sizeof(Pixel),
      xtoffset(Foreground), XtRString, "black" },
    { "debug", "Debug", XtRBoolean, sizeof(Boolean),
      xtoffset(Debug), XtRString, "False" },
    { "fromX", "FromX", XtRInt, sizeof(int),
      xtoffset(FromX), XtRImmediate, (XtPointer) 4 },
    { "fromY", "FromY", XtRInt, sizeof(int),
      xtoffset(FromY), XtRImmediate, (XtPointer) -4 },
    { "showFirst", "ShowFirst", XtRBoolean, sizeof(Boolean),
      xtoffset(ShowFirst), XtRString, "False" },
    { "loadOrder", "LoadOrder", XtRString, sizeof(String),
      xtoffset(LoadOrder), XtRString, NULL },
    { "databaseOrder", "DatabaseOrder", XtRString, sizeof(String),
      xtoffset(DatabaseOrder), XtRString, NULL },
    { "pathNames", "PathNames", XtRString, sizeof(String),
      xtoffset(PathNames), XtRString, NULL },
    { "local", "Local", XtRString, sizeof(String),
      xtoffset(Local), XtRString, LOCAL },
    { "version", "Version", XtRBoolean, sizeof(Boolean),
      xtoffset(Version), XtRString, "False" },
    { "useColorIcon", "UseColorIcon", XtRBoolean, sizeof(Boolean),
#ifdef sgi
      xtoffset(UseColorIcon), XtRString, "True" },
#else
      xtoffset(UseColorIcon), XtRString, "False" },
#endif
    { "useMailcap", "UseMailcap", XtRBoolean, sizeof(Boolean),
      xtoffset(UseMailcap), XtRString, "True" },
    { "xfaceFirst", "XfaceFirst", XtRBoolean, sizeof(Boolean),
      xtoffset(XfaceFirst), XtRString, "False" },
    { "algorithm", "Algorithm", XtRInt, sizeof(int),
      xtoffset(Algorithm), XtRImmediate, (XtPointer) searchKnown},
};

/*
 * Command line options.
 */
static XrmOptionDescRec options[] = {
  { "-m",       "mailFile", XrmoptionSepArg, NULL    },
  { "-c",       "compact",  XrmoptionNoArg,  "True"  },
  { "-d",       "debug",    XrmoptionNoArg,  "True"  },
  { "-debug",   "debug",    XrmoptionNoArg,  "True"  },
  { "-v",       "version",  XrmoptionNoArg,  "True"  },
  { "-version", "version",  XrmoptionNoArg,  "True"  },
};

#undef xtoffset
