/*
 * $Id: facesdb.h,v 1.10 1995/03/19 17:16:14 kooper Exp $
 *
 * Copyright (C) 1995, Rob Kooper (kooper@cc.gatech.edu)
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2, or (at your option) any
 * later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#include <stdio.h>
#ifdef SYSV
# include <string.h>
#else
# include <strings.h>
#endif
#include <gdbm.h>

#include <X11/Intrinsic.h>
#include <X11/StringDefs.h>

#define block_size 0
#define mode       0644
#define fatal_func NULL

typedef struct Contents {
  char            *Major,
                  *Minor,
                  *Data;
  int              Length;
  struct Contents *next;
} Contents;

extern Boolean noTxt;

#if NeedFunctionPrototypes
void      addLink        (char *, char *, char *);
void      addEntry       (char *, char *, char *, char *, char *, long);
void      listEntry      (char *, char *);
void      extractEntry   (char *, char *, char *, char *, char *);
void      deleteEntry    (char *, char *, char *, char *);
Boolean   checkAddress   (char *, char *);
void      convertDatabase(char *);
Contents *extractContents(datum *);
void      lowerAddress   (char *);
#else
void      addLink        ();
void      addEntry       ();
void      listEntry      ();
void      extractEntry   ();
void      deleteEntry    ();
Boolean   checkAddress   ();
Contents *extractContents();
void      convertDatabase();
void      lowerAddress   ();
#endif
