/*
 * $Id: facesdb_link.c,v 1.2 1995/03/19 17:16:14 kooper Exp $
 *
 * Copyright (C) 1995, Rob Kooper (kooper@cc.gatech.edu)
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2, or (at your option) any
 * later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#include "facesdb.h"

/*************************************************************************
 * 
 *************************************************************************/
#if NeedFunctionPrototypes
void addLink(char *database, char *email, char *link)
#else
void addLink(database, email, link)
  char *database, *email, *link;
#endif
{
  datum      key, content;
  GDBM_FILE  dbf;

  /*
   * Open the database or create it.
   */
  dbf = gdbm_open(database, block_size, GDBM_WRCREAT, mode, fatal_func);
  if (dbf == NULL) {
    if (!noTxt)
      fprintf(stderr, "Could not create database %s.\n", database);
    return;
  }

  /*
   * Create the key and the content
   */
  key.dsize     = strlen(email);
  key.dptr      = XtNewString(email);
  content.dsize = strlen(link) + 6;
  content.dptr  = XtMalloc(content.dsize);
  strcpy(content.dptr, "link:");
  strcat(content.dptr, link);

  /*
   * Add the key to the database.
   */
  gdbm_store(dbf, key, content, GDBM_REPLACE);  

  /*
   * Finish up
   */
  XtFree(key.dptr);
  XtFree(content.dptr);
  gdbm_close(dbf);
}
